/pagerduty-incidents | Type: Application | PCID required: Yes
Tools
pagerduty_incidents_create_incident
Create an Incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
incident | object | Yes | — | Details of the incident to be created. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"incident": {
"type": "object",
"description": "Details of the incident to be created.",
"properties": {
"type": {
"type": "string",
"description": "The type value",
"enum": [
"incident"
]
},
"title": {
"type": "string",
"description": "A succinct description of the nature, symptoms, cause, or effect of the incident."
},
"service": {
"description": "The service value"
},
"priority": {
"description": "The priority value"
},
"urgency": {
"type": "string",
"description": "The urgency of the incident",
"enum": [
"high",
"low"
]
},
"body": {
"type": "object",
"description": "The body value"
},
"incident_key": {
"type": "string",
"description": "A string which identifies the incident. Sending subsequent requests referencing the same service and with the same incident_key will result in those requests being rejected if an open incident matches that incident_key."
},
"assignments": {
"type": "array",
"description": "Assign the incident to these assignees. Cannot be specified if an escalation policy is given."
},
"incident_type": {
"type": "object",
"description": "Incident Type"
},
"escalation_policy": {
"description": "Escalation Policy"
},
"conference_bridge": {
"type": "object",
"description": "Conference Bridge"
}
},
"required": [
"type",
"title",
"service"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"From",
"incident"
]
}
pagerduty_incidents_create_incident_note
Create a note on an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
note | object | Yes | — | The note value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"note": {
"type": "object",
"description": "The note value",
"properties": {
"content": {
"type": "string",
"description": "The note content"
}
},
"required": [
"content"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"From",
"note"
]
}
pagerduty_incidents_create_incident_responder_request
Create a responder request for an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
message | string | Yes | — | The message sent with the responder request. |
requester_id | string | Yes | — | The user id of the requester. |
responder_request_targets | object | Yes | — | The array of targets the responder request is sent to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"message": {
"type": "string",
"description": "The message sent with the responder request."
},
"requester_id": {
"type": "string",
"description": "The user id of the requester."
},
"responder_request_targets": {
"description": "The array of targets the responder request is sent to."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"message",
"requester_id",
"responder_request_targets"
]
}
pagerduty_incidents_create_incident_snooze
Snooze an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
duration | integer | Yes | — | The number of seconds to snooze the incident for. After this number of seconds has elapsed, the incident will return to the “triggered” state. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"duration": {
"type": "integer",
"description": "The number of seconds to snooze the incident for. After this number of seconds has elapsed, the incident will return to the \"triggered\" state."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"From",
"duration"
]
}
pagerduty_incidents_create_incident_status_update
Create a status update on an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
html_message | string | No | — | The html content to be sent for the custom html email status update. Required if sending custom html email. |
message | string | Yes | — | The message to be posted as a status update. |
subject | string | No | — | The subject to be sent for the custom html email status update. Required if sending custom html email. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"html_message": {
"type": "string",
"description": "The html content to be sent for the custom html email status update. Required if sending custom html email."
},
"message": {
"type": "string",
"description": "The message to be posted as a status update."
},
"subject": {
"type": "string",
"description": "The subject to be sent for the custom html email status update. Required if sending custom html email."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"From",
"message"
]
}
pagerduty_incidents_create_incident_workflow_instance
Start an Incident Workflow Instance Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
incident_workflow_instance | object | Yes | — | Incident Workflow Instance |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"incident_workflow_instance": {
"type": "object",
"description": "Incident Workflow Instance",
"properties": {
"id": {
"type": "string",
"description": "An identifier to help differentiate between workflow executions."
},
"incident": {
"type": "object",
"description": "The incident value"
}
}
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"incident_workflow_instance"
]
}
pagerduty_incidents_get_incident
Get an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
include | string | No | — | Array of additional details to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"include": {
"type": "string",
"description": "Array of additional details to include.",
"enum": [
"acknowledgers",
"agents",
"assignees",
"conference_bridge",
"custom_fields",
"escalation_policies",
"first_trigger_log_entries",
"priorities",
"services",
"teams",
"users"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_get_incident_alert
Get an alert Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
alert_id | string | Yes | — | The id of the alert to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"alert_id": {
"type": "string",
"description": "The id of the alert to retrieve."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"alert_id"
]
}
pagerduty_incidents_get_incident_workflow
Get an Incident Workflow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_get_log_entry
Get a log entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
time_zone | string | No | — | Time zone in which results will be rendered. This will default to the account time zone. |
id | string | Yes | — | The ID of the resource. |
include | string | No | — | Array of additional Models to include in response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"time_zone": {
"type": "string",
"description": "Time zone in which results will be rendered. This will default to the account time zone."
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"include": {
"type": "string",
"description": "Array of additional Models to include in response.",
"enum": [
"incidents",
"services",
"channels",
"teams"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_get_outlier_incident
Get Outlier Incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
since | string | No | — | The start of the date range over which you want to search. |
additional_details | string | No | — | Array of additional attributes to any of the returned incidents for related incidents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"since": {
"type": "string",
"description": "The start of the date range over which you want to search."
},
"additional_details": {
"type": "string",
"description": "Array of additional attributes to any of the returned incidents for related incidents.",
"enum": [
"incident"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_get_past_incidents
Get Past Incidents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
limit | integer | No | — | The number of results to be returned in the response. |
total | boolean | No | — | By default the total field in the response body is set to null to provide the fastest possible response times. Set total to true for this field to be populated with the total number of Past Incidents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"limit": {
"type": "integer",
"description": "The number of results to be returned in the response."
},
"total": {
"type": "boolean",
"description": "By default the `total` field in the response body is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated with the total number of Past Incidents."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_get_related_incidents
Get Related Incidents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
additional_details | string | No | — | Array of additional attributes to any of the returned incidents for related incidents. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"additional_details": {
"type": "string",
"description": "Array of additional attributes to any of the returned incidents for related incidents.",
"enum": [
"incident"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_list_incident_alerts
List alerts for an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
limit | integer | No | — | The number of results per page. |
offset | integer | No | — | Offset to start pagination search results. |
total | boolean | No | — | By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated. See our Pagination Docs for more information. |
id | string | Yes | — | The ID of the resource. |
alert_key | string | No | — | Alert de-duplication key. |
statuses | string | No | — | Return only alerts with the given statuses. (More status codes may be introduced in the future.) |
sort_by | string | No | — | Used to specify both the field you wish to sort the results on (created_at/resolved_at), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. A maximum of two fields can be included, separated by a comma. Sort direction defaults to ascending. |
include | string | No | — | Array of additional details to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"limit": {
"type": "integer",
"description": "The number of results per page."
},
"offset": {
"type": "integer",
"description": "Offset to start pagination search results."
},
"total": {
"type": "boolean",
"description": "By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for more information."
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"alert_key": {
"type": "string",
"description": "Alert de-duplication key."
},
"statuses": {
"type": "string",
"description": "Return only alerts with the given statuses. (More status codes may be introduced in the future.)",
"enum": [
"triggered",
"resolved"
]
},
"sort_by": {
"type": "string",
"description": "Used to specify both the field you wish to sort the results on (created_at/resolved_at), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. A maximum of two fields can be included, separated by a comma. Sort direction defaults to ascending.",
"enum": [
"created_at",
"resolved_at",
"created_at:asc",
"created_at:desc",
"resolved_at:asc",
"resolved_at:desc"
]
},
"include": {
"type": "string",
"description": "Array of additional details to include.",
"enum": [
"services",
"first_trigger_log_entries",
"incidents"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_list_incident_notes
List notes for an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id"
]
}
pagerduty_incidents_list_incident_workflows
List Incident Workflows Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
limit | integer | No | — | The number of results per page. |
offset | integer | No | — | Offset to start pagination search results. |
total | boolean | No | — | By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated. See our Pagination Docs for more information. |
query | string | No | — | Filters the result, showing only the records whose name matches the query. |
include | string | No | — | Array of additional details to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"limit": {
"type": "integer",
"description": "The number of results per page."
},
"offset": {
"type": "integer",
"description": "Offset to start pagination search results."
},
"total": {
"type": "boolean",
"description": "By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for more information."
},
"query": {
"type": "string",
"description": "Filters the result, showing only the records whose name matches the query."
},
"include": {
"type": "string",
"description": "Array of additional details to include.",
"enum": [
"steps",
"team"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type"
]
}
pagerduty_incidents_list_incidents
List incidents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
limit | integer | No | — | The number of results per page. Maximum of 100. |
offset | integer | No | — | Offset to start pagination search results. |
total | boolean | No | — | By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated. See our Pagination Docs for more information. |
date_range | string | No | — | When set to all, the since and until parameters and defaults are ignored. |
incident_key | string | No | — | Incident de-duplication key. Incidents with child alerts do not have an incident key; querying by incident key will return incidents whose alerts have alert_key matching the given incident key. |
service_ids | string[] | No | — | Returns only the incidents associated with the passed service(s). This expects one or more service IDs. |
team_ids | string[] | No | — | An array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter. |
user_ids | string[] | No | — | Returns only the incidents currently assigned to the passed user(s). This expects one or more user IDs. Note: When using the assigned_to_user filter, you will only receive incidents with statuses of triggered or acknowledged. This is because resolved incidents are not assigned to any user. |
urgencies | string | No | — | Array of the urgencies of the incidents to be returned. Defaults to all urgencies. Account must have the urgencies ability to do this. |
time_zone | string | No | — | Time zone in which results will be rendered. This will default to the account time zone. |
statuses | string | No | — | Return only incidents with the given statuses. To query multiple statuses, pass statuses[] more than once, for example: https://api.pagerduty.com/incidents?statuses[]=triggered&statuses[]=acknowledged. (More status codes may be introduced in the future.) |
sort_by | string[] | No | — | Used to specify both the field you wish to sort the results on (incident_number/created_at/resolved_at/urgency), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. A maximum of two fields can be included, separated by a comma. Sort direction defaults to ascending. The account must have the urgencies ability to sort by the urgency. |
include | string | No | — | Array of additional details to include. |
since | string | No | — | The start of the date range over which you want to search. Maximum range is 6 months and default is 1 month. |
until | string | No | — | The end of the date range over which you want to search. Maximum range is 6 months and default is 1 month. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"limit": {
"type": "integer",
"description": "The number of results per page. Maximum of 100."
},
"offset": {
"type": "integer",
"description": "Offset to start pagination search results."
},
"total": {
"type": "boolean",
"description": "By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for more information."
},
"date_range": {
"type": "string",
"description": "When set to all, the since and until parameters and defaults are ignored.",
"enum": [
"all"
]
},
"incident_key": {
"type": "string",
"description": "Incident de-duplication key. Incidents with child alerts do not have an incident key; querying by incident key will return incidents whose alerts have alert_key matching the given incident key."
},
"service_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Returns only the incidents associated with the passed service(s). This expects one or more service IDs."
},
"team_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of team IDs. Only results related to these teams will be returned. Account must have the `teams` ability to use this parameter."
},
"user_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Returns only the incidents currently assigned to the passed user(s). This expects one or more user IDs. Note: When using the assigned_to_user filter, you will only receive incidents with statuses of triggered or acknowledged. This is because resolved incidents are not assigned to any user."
},
"urgencies": {
"type": "string",
"description": "Array of the urgencies of the incidents to be returned. Defaults to all urgencies. Account must have the `urgencies` ability to do this.",
"enum": [
"high",
"low"
]
},
"time_zone": {
"type": "string",
"description": "Time zone in which results will be rendered. This will default to the account time zone."
},
"statuses": {
"type": "string",
"description": "Return only incidents with the given statuses. To query multiple statuses, pass `statuses[]` more than once, for example: `https://api.pagerduty.com/incidents?statuses[]=triggered&statuses[]=acknowledged`. (More status codes may be introduced in the future.)",
"enum": [
"triggered",
"acknowledged",
"resolved"
]
},
"sort_by": {
"type": "array",
"items": {
"type": "string"
},
"description": "Used to specify both the field you wish to sort the results on (incident_number/created_at/resolved_at/urgency), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. A maximum of two fields can be included, separated by a comma. Sort direction defaults to ascending. The account must have the `urgencies` ability to sort by the urgency."
},
"include": {
"type": "string",
"description": "Array of additional details to include.",
"enum": [
"acknowledgers",
"agents",
"assignees",
"conference_bridge",
"escalation_policies",
"first_trigger_log_entries",
"priorities",
"services",
"teams",
"users"
]
},
"since": {
"type": "string",
"description": "The start of the date range over which you want to search. Maximum range is 6 months and default is 1 month."
},
"until": {
"type": "string",
"description": "The end of the date range over which you want to search. Maximum range is 6 months and default is 1 month."
}
},
"required": [
"PCID",
"Accept",
"Content-Type"
]
}
pagerduty_incidents_list_log_entries
List log entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
limit | integer | No | — | The number of results per page. |
offset | integer | No | — | Offset to start pagination search results. |
total | boolean | No | — | By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated. See our Pagination Docs for more information. |
time_zone | string | No | — | Time zone in which results will be rendered. This will default to the account time zone. |
since | string | No | — | The start of the date range over which you want to search. |
until | string | No | — | The end of the date range over which you want to search. |
is_overview | boolean | No | — | If true, will return a subset of log entries that show only the most important changes to the incident. |
include | string | No | — | Array of additional Models to include in response. |
team_ids | string[] | No | — | An array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"limit": {
"type": "integer",
"description": "The number of results per page."
},
"offset": {
"type": "integer",
"description": "Offset to start pagination search results."
},
"total": {
"type": "boolean",
"description": "By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for more information."
},
"time_zone": {
"type": "string",
"description": "Time zone in which results will be rendered. This will default to the account time zone."
},
"since": {
"type": "string",
"description": "The start of the date range over which you want to search."
},
"until": {
"type": "string",
"description": "The end of the date range over which you want to search."
},
"is_overview": {
"type": "boolean",
"description": "If `true`, will return a subset of log entries that show only the most important changes to the incident."
},
"include": {
"type": "string",
"description": "Array of additional Models to include in response.",
"enum": [
"incidents",
"services",
"channels",
"teams"
]
},
"team_ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of team IDs. Only results related to these teams will be returned. Account must have the `teams` ability to use this parameter."
}
},
"required": [
"PCID",
"Accept",
"Content-Type"
]
}
pagerduty_incidents_merge_incidents
Merge incidents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
source_incidents | any[] | Yes | — | The source incidents that will be merged into the target incident and resolved. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"source_incidents": {
"type": "array",
"description": "The source incidents that will be merged into the target incident and resolved."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"From",
"source_incidents"
]
}
pagerduty_incidents_update_incident
Update an incident Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
incident | object | Yes | — | The parameters of the incident to update. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"incident": {
"type": "object",
"description": "The parameters of the incident to update.",
"properties": {
"type": {
"type": "string",
"description": "The incident type.",
"enum": [
"incident",
"incident_reference"
]
},
"status": {
"type": "string",
"description": "The new status of the incident. If the incident is currently resolved, setting the status to \"triggered\" or \"acknowledged\" will reopen it. When reopening an incident to the \"triggered\" status, it will be assigned based on the assignees or escalation_policy fields in the request, otherwise it will be assigned to the current Escalation Policy. When reopening an incident to the \"acknowledged\" status, it will be assigned to the current user.",
"enum": [
"resolved",
"acknowledged",
"triggered"
]
},
"priority": {
"description": "The priority of the incident. Can be provided as a priority object or a string matching a priority name. If a string is provided, the highest priority with a matching name will be used."
},
"resolution": {
"type": "string",
"description": "The resolution for this incident. This field is used only when setting the incident status to resolved. The value provided here is added to the incident’s 'Resolve' log entry as a note and will not be displayed directly in the UI."
},
"title": {
"type": "string",
"description": "The new title of the incident."
},
"escalation_level": {
"type": "integer",
"description": "Escalate the incident to this level in the escalation policy."
},
"assignments": {
"type": "array",
"description": "Assign the incident to these assignees."
},
"incident_type": {
"type": "object",
"description": "Incident Type"
},
"escalation_policy": {
"description": "Escalation Policy"
},
"urgency": {
"type": "string",
"description": "The urgency of the incident.",
"enum": [
"high",
"low"
]
},
"conference_bridge": {
"type": "object",
"description": "Conference Bridge"
},
"service": {
"type": "object",
"description": "Assign the incident to this service."
}
},
"required": [
"type"
]
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"From",
"incident"
]
}
pagerduty_incidents_update_incident_alert
Update an alert Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
id | string | Yes | — | The ID of the resource. |
alert_id | string | Yes | — | The id of the alert to retrieve. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
alert | object | Yes | — | The alert value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"id": {
"type": "string",
"description": "The ID of the resource."
},
"alert_id": {
"type": "string",
"description": "The id of the alert to retrieve."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"alert": {
"type": "object",
"description": "The alert value",
"properties": {
"status": {
"type": "string",
"description": "The status value",
"enum": [
"resolved",
"triggered"
]
},
"incident": {
"type": "object",
"description": "The incident value"
}
}
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"id",
"alert_id",
"From",
"alert"
]
}
pagerduty_incidents_update_incidents
Manage incidents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Accept | string | Yes | — | The Accept header is used as a versioning header. |
Content-Type | string | Yes | — | The content-type value |
limit | integer | No | — | The number of results per page. |
offset | integer | No | — | Offset to start pagination search results. |
total | boolean | No | — | By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated. See our Pagination Docs for more information. |
From | string | Yes | — | The email address of a valid user associated with the account making the request. |
incidents | any[] | Yes | — | An array of incidents, including the parameters to update. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"Accept": {
"type": "string",
"description": "The `Accept` header is used as a versioning header."
},
"Content-Type": {
"type": "string",
"description": "The content-type value",
"enum": [
"application/json"
]
},
"limit": {
"type": "integer",
"description": "The number of results per page."
},
"offset": {
"type": "integer",
"description": "Offset to start pagination search results."
},
"total": {
"type": "boolean",
"description": "By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for more information."
},
"From": {
"type": "string",
"description": "The email address of a valid user associated with the account making the request."
},
"incidents": {
"type": "array",
"description": "An array of incidents, including the parameters to update."
}
},
"required": [
"PCID",
"Accept",
"Content-Type",
"From",
"incidents"
]
}

